> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Retrieve a list of all available models.



## OpenAPI

````yaml get /v1/flow/models
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/models:
    get:
      tags:
        - Models
      summary: List models
      description: Retrieve a list of all available models.
      operationId: ml_models_v1_flow_models_get
      parameters:
        - name: model_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/MLModelType'
              - type: 'null'
            title: Model Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMLModelsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MLModelType:
      type: string
      enum:
        - Base
        - Instruct
        - Embedding
      title: MLModelType
    GetMLModelsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MLModel'
          type: array
          title: Data
      type: object
      required:
        - data
      title: GetMLModelsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MLModel:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          maxLength: 100
          minLength: 5
          title: Name
        source:
          type: string
          maxLength: 100
          minLength: 1
          title: Source
        description:
          type: string
          maxLength: 1000
          minLength: 5
          title: Description
        size:
          type: integer
          title: Size
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        model_type:
          $ref: '#/components/schemas/MLModelType'
        inference_available:
          type: boolean
          title: Inference Available
        training_available:
          type: boolean
          title: Training Available
        deployment_available:
          type: boolean
          title: Deployment Available
        supports_lora:
          type: boolean
          title: Supports Lora
        max_lora_rank:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Lora Rank
        vision_model:
          type: boolean
          title: Vision Model
        hf_revision:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Hf Revision
        internal_only:
          type: boolean
          title: Internal Only
      type: object
      required:
        - id
        - name
        - source
        - description
        - size
        - model_type
        - inference_available
        - training_available
        - deployment_available
        - supports_lora
        - vision_model
        - internal_only
      title: MLModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````